HomeGuidesAPI Reference
API Reference

Create Merchant

Create new Merchant, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Create a new merchant.


Endpoint

POST https://demo-api.edfapay.com/api/v1/merchant


Request Body

FieldTypeRequiredDescription
emailAddressStringYesMerchant email
registeredMobileNumberStringYesPhone
countryStringYesCountry code
cityStringYesCity ID
parentBusinessUnitIdUUIDYesParent business
businessCategoryIdUUIDYesCategory
currencyCodeStringYesCurrency
nameStringYesName
nameARStringYesArabic name
activeBooleanYesStatus
logoObjectNoLogo object

Request Example

curl --location 'https://demo-api.edfapay.com/api/v1/merchant' \
--header 'X-API-KEY: <Your API Key>' \
--header 'Content-Type: application/json' \
--data '{
  "emailAddress": "[email protected]",
  "registeredMobileNumber": "+966-500000000",
  "country": "682",
  "city": "7",
  "parentBusinessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "businessCategoryId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "currencyCode": "682",
  "name": "Test Merchant",
  "nameAR": "تاجر",
  "active": true,
  "logo": {
    "fileSize": 0,
    "fileUrl": "",
    "fileName": ""
  }
}'

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
data.idUUIDMerchant ID
data.nameStringName
data.emailAddressStringEmail
data.registeredMobileNumberStringPhone
data.statusStringStatus
data.activeBooleanActive

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "Test Merchant",
    "emailAddress": "[email protected]",
    "registeredMobileNumber": "+966-500000000",
    "status": "ACTIVE",
    "active": true
  }
}
Body Params
string
required
string
required
^\+?[0-9]{10,15}$
string
string
uuid
uuid
string
string
string
required
string
required
boolean
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*